## linux 3.2.68

=== Makefile ===
VERSION = 3
PATCHLEVEL = 2
SUBLEVEL = 68
EXTRAVERSION =
NAME = Saber-toothed Squirrel

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifeq ("$(origin W)", "command line")
  export KBUILD_ENABLE_EXTRA_GCC_CHECKS := $(W)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	$(Q)@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
export KBUILD_BUILDHOST := $(SUBARCH)
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

ifeq ($(ARCH),m68knommu)
       hdr-arch  := m68k
endif

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage


# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := -I$(srctree)/arch/$(hdr-arch)/include \
                   -Iarch/$(hdr-arch)/include/generated -Iinclude \
                   $(if $(KBUILD_SRC), -I$(srctree)/include) \
                   -include $(srctree)/include/linux/kconfig.h

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)

export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION
export ARCH SRCARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC
export CPP AR NM STRIP OBJCOPY OBJDUMP
export MAKE AWK GENKSYMS INSTALLKERNEL PERL UTS_MACHINE
export HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

export KBUILD_CPPFLAGS NOSTDINC_FLAGS LINUXINCLUDE OBJCOPYFLAGS LDFLAGS

=== drivers/video/Makefile ===
# Makefile for the Linux video drivers.
# 5 Aug 1999, James Simmons, <mailto:jsimmons@users.sf.net>
# Rewritten to use lists instead of if-statements.

# Each configuration option enables a list of files.

obj-$(CONFIG_VGASTATE)            += vgastate.o
obj-y                             += fb_notify.o
obj-$(CONFIG_FB)                  += fb.o
fb-y                              := fbmem.o fbmon.o fbcmap.o fbsysfs.o \
                                     modedb.o fbcvt.o
fb-objs                           := $(fb-y)

obj-$(CONFIG_VT)		  += console/
obj-$(CONFIG_LOGO)		  += logo/
obj-y				  += backlight/ display/

obj-$(CONFIG_FB_CFB_FILLRECT)  += cfbfillrect.o
obj-$(CONFIG_FB_CFB_COPYAREA)  += cfbcopyarea.o
obj-$(CONFIG_FB_CFB_IMAGEBLIT) += cfbimgblt.o
obj-$(CONFIG_FB_SYS_FILLRECT)  += sysfillrect.o
obj-$(CONFIG_FB_SYS_COPYAREA)  += syscopyarea.o
obj-$(CONFIG_FB_SYS_IMAGEBLIT) += sysimgblt.o
obj-$(CONFIG_FB_SYS_FOPS)      += fb_sys_fops.o
obj-$(CONFIG_FB_SVGALIB)       += svgalib.o
obj-$(CONFIG_FB_MACMODES)      += macmodes.o
obj-$(CONFIG_FB_DDC)           += fb_ddc.o
obj-$(CONFIG_FB_DEFERRED_IO)   += fb_defio.o
obj-$(CONFIG_FB_WMT_GE_ROPS)   += wmt_ge_rops.o

# Hardware specific drivers go first
obj-$(CONFIG_FB_AMIGA)            += amifb.o c2p_planar.o
obj-$(CONFIG_FB_ARC)              += arcfb.o
obj-$(CONFIG_FB_CLPS711X)         += clps711xfb.o
obj-$(CONFIG_FB_CYBER2000)        += cyber2000fb.o
obj-$(CONFIG_FB_GRVGA)            += grvga.o
obj-$(CONFIG_FB_PM2)              += pm2fb.o
obj-$(CONFIG_FB_PM3)		  += pm3fb.o

obj-$(CONFIG_FB_MATROX)		  += matrox/
obj-$(CONFIG_FB_ATY)		  += aty/ macmodes.o
obj-$(CONFIG_FB_ATY128)		  += aty/ macmodes.o
obj-$(CONFIG_FB_RADEON)		  += aty/
obj-$(CONFIG_FB_SIS)		  += sis/
obj-$(CONFIG_FB_VIA)		  += via/
obj-$(CONFIG_FB_KYRO)             += kyro/
obj-$(CONFIG_FB_SAVAGE)		  += savage/
obj-$(CONFIG_FB_GEODE)		  += geode/
obj-$(CONFIG_FB_MBX)		  += mbx/
obj-$(CONFIG_FB_NEOMAGIC)         += neofb.o
obj-$(CONFIG_FB_3DFX)             += tdfxfb.o
obj-$(CONFIG_FB_CONTROL)          += controlfb.o
obj-$(CONFIG_FB_PLATINUM)         += platinumfb.o
obj-$(CONFIG_FB_VALKYRIE)         += valkyriefb.o
obj-$(CONFIG_FB_CT65550)          += chipsfb.o
obj-$(CONFIG_FB_IMSTT)            += imsttfb.o
obj-$(CONFIG_FB_FM2)              += fm2fb.o
obj-$(CONFIG_FB_VT8623)           += vt8623fb.o
obj-$(CONFIG_FB_TRIDENT)          += tridentfb.o
obj-$(CONFIG_FB_LE80578)          += vermilion/
obj-$(CONFIG_FB_S3)               += s3fb.o
obj-$(CONFIG_FB_ARK)              += arkfb.o
obj-$(CONFIG_FB_STI)              += stifb.o
obj-$(CONFIG_FB_FFB)              += ffb.o sbuslib.o
obj-$(CONFIG_FB_CG6)              += cg6.o sbuslib.o
obj-$(CONFIG_FB_CG3)              += cg3.o sbuslib.o
obj-$(CONFIG_FB_BW2)              += bw2.o sbuslib.o
obj-$(CONFIG_FB_CG14)             += cg14.o sbuslib.o
obj-$(CONFIG_FB_P9100)            += p9100.o sbuslib.o
obj-$(CONFIG_FB_TCX)              += tcx.o sbuslib.o
obj-$(CONFIG_FB_LEO)              += leo.o sbuslib.o
obj-$(CONFIG_FB_SGIVW)            += sgivwfb.o
obj-$(CONFIG_FB_ACORN)            += acornfb.o
obj-$(CONFIG_FB_ATARI)            += atafb.o c2p_iplan2.o atafb_mfb.o \
                                     atafb_iplan2p2.o atafb_iplan2p4.o atafb_iplan2p8.o
obj-$(CONFIG_FB_MAC)              += macfb.o
obj-$(CONFIG_FB_HECUBA)           += hecubafb.o
obj-$(CONFIG_FB_N411)             += n411.o
obj-$(CONFIG_FB_HGA)              += hgafb.o
obj-$(CONFIG_FB_XVR500)           += sunxvr500.o
obj-$(CONFIG_FB_XVR2500)          += sunxvr2500.o
obj-$(CONFIG_FB_XVR1000)          += sunxvr1000.o
obj-$(CONFIG_FB_IGA)              += igafb.o
obj-$(CONFIG_FB_APOLLO)           += dnfb.o
obj-$(CONFIG_FB_Q40)              += q40fb.o
obj-$(CONFIG_FB_TGA)              += tgafb.o
obj-$(CONFIG_FB_HP300)            += hpfb.o
obj-$(CONFIG_FB_G364)             += g364fb.o
obj-$(CONFIG_FB_EP93XX)		  += ep93xx-fb.o
obj-$(CONFIG_FB_SA1100)           += sa1100fb.o
obj-$(CONFIG_FB_HIT)              += hitfb.o
obj-$(CONFIG_FB_EPSON1355)	  += epson1355fb.o
obj-$(CONFIG_FB_ATMEL)		  += atmel_lcdfb.o
obj-$(CONFIG_FB_PVR2)             += pvr2fb.o
obj-$(CONFIG_FB_VOODOO1)          += sstfb.o
obj-$(CONFIG_FB_ARMCLCD)	  += amba-clcd.o
obj-$(CONFIG_FB_68328)            += 68328fb.o
obj-$(CONFIG_FB_GBE)              += gbefb.o
obj-$(CONFIG_FB_CIRRUS)		  += cirrusfb.o
obj-$(CONFIG_FB_ASILIANT)	  += asiliantfb.o
obj-$(CONFIG_FB_PXA)		  += pxafb.o
obj-$(CONFIG_FB_PXA168)		  += pxa168fb.o
obj-$(CONFIG_PXA3XX_GCU)	  += pxa3xx-gcu.o
obj-$(CONFIG_FB_W100)		  += w100fb.o
obj-$(CONFIG_FB_TMIO)		  += tmiofb.o
obj-$(CONFIG_FB_AU1100)		  += au1100fb.o
obj-$(CONFIG_FB_AU1200)		  += au1200fb.o
obj-$(CONFIG_FB_VT8500)		  += vt8500lcdfb.o
obj-$(CONFIG_FB_WM8505)		  += wm8505fb.o
obj-$(CONFIG_FB_PMAG_AA)	  += pmag-aa-fb.o
obj-$(CONFIG_FB_PMAG_BA)	  += pmag-ba-fb.o
obj-$(CONFIG_FB_PMAGB_B)	  += pmagb-b-fb.o
obj-$(CONFIG_FB_MAXINE)		  += maxinefb.o
obj-$(CONFIG_FB_METRONOME)        += metronomefb.o
obj-$(CONFIG_FB_BROADSHEET)       += broadsheetfb.o
obj-$(CONFIG_FB_S1D13XXX)	  += s1d13xxxfb.o
obj-$(CONFIG_FB_SH7760)		  += sh7760fb.o
obj-$(CONFIG_FB_IMX)              += imxfb.o
obj-$(CONFIG_FB_S3C)		  += s3c-fb.o
obj-$(CONFIG_FB_S3C2410)	  += s3c2410fb.o
obj-$(CONFIG_FB_FSL_DIU)	  += fsl-diu-fb.o
obj-$(CONFIG_FB_COBALT)           += cobalt_lcdfb.o
obj-$(CONFIG_FB_PNX4008_DUM)	  += pnx4008/
obj-$(CONFIG_FB_PNX4008_DUM_RGB)  += pnx4008/
obj-$(CONFIG_FB_IBM_GXT4500)	  += gxt4500.o
obj-$(CONFIG_FB_PS3)		  += ps3fb.o
obj-$(CONFIG_FB_SM501)            += sm501fb.o
obj-$(CONFIG_FB_UDL)		  += udlfb.o
obj-$(CONFIG_FB_SMSCUFX)	  += smscufx.o
obj-$(CONFIG_FB_XILINX)           += xilinxfb.o
obj-$(CONFIG_SH_MIPI_DSI)	  += sh_mipi_dsi.o
obj-$(CONFIG_FB_SH_MOBILE_HDMI)	  += sh_mobile_hdmi.o
obj-$(CONFIG_FB_SH_MOBILE_MERAM)  += sh_mobile_meram.o
obj-$(CONFIG_FB_SH_MOBILE_LCDC)	  += sh_mobile_lcdcfb.o
obj-$(CONFIG_FB_OMAP)             += omap/
obj-y                             += omap2/
obj-$(CONFIG_XEN_FBDEV_FRONTEND)  += xen-fbfront.o
obj-$(CONFIG_FB_CARMINE)          += carminefb.o
obj-$(CONFIG_FB_MB862XX)	  += mb862xx/
obj-$(CONFIG_FB_MSM)              += msm/
obj-$(CONFIG_FB_NUC900)           += nuc900fb.o
obj-$(CONFIG_FB_JZ4740)		  += jz4740_fb.o
obj-$(CONFIG_FB_PUV3_UNIGFX)      += fb-puv3.o

# Platform or fallback drivers go here
obj-$(CONFIG_FB_UVESA)            += uvesafb.o
obj-$(CONFIG_FB_VESA)             += vesafb.o
obj-$(CONFIG_FB_EFI)              += efifb.o
obj-$(CONFIG_FB_VGA16)            += vga16fb.o
obj-$(CONFIG_FB_OF)               += offb.o
obj-$(CONFIG_FB_BF537_LQ035)      += bf537-lq035.o
obj-$(CONFIG_FB_BF54X_LQ043)	  += bf54x-lq043fb.o
obj-$(CONFIG_FB_BFIN_LQ035Q1)     += bfin-lq035q1-fb.o
obj-$(CONFIG_FB_BFIN_T350MCQB)	  += bfin-t350mcqb-fb.o
obj-$(CONFIG_FB_BFIN_7393)        += bfin_adv7393fb.o
obj-$(CONFIG_FB_MX3)		  += mx3fb.o
obj-$(CONFIG_FB_DA8XX)		  += da8xx-fb.o
obj-$(CONFIG_FB_MXS)		  += mxsfb.o

# the test framebuffer is last
obj-$(CONFIG_FB_VIRTUAL)          += vfb.o

#video output switch sysfs driver
obj-$(CONFIG_VIDEO_OUTPUT_CONTROL) += output.o

=== debian/changelog ===
linux (3.2.68-1+deb7u6~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze:
    - Use gcc-4.4 for all architectures
    - Disable building of udebs
    - Change ABI number to 0.bpo.4
    - Monkey-patch Python collections module to add OrderedDict if necessary
    - [armel] Disable CRYPTO_FIPS, VGA_ARB, FTRACE on iop32x and ixp4xx to
      reduce kernel size (as suggested by Arnaud Patard)
    - Use QUILT_PATCH_OPTS instead of missing quilt patch --fuzz option
    - Make build target depend on build-arch only, so we don't redundantly
      build documentation on each architecture

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 11 Nov 2015 01:20:48 +0000

linux (3.2.68-1+deb7u6) wheezy-security; urgency=medium

  [ Salvatore Bonaccorso ]
  * KEYS: Fix race between key destruction and finding a keyring by name
  * KEYS: Fix crash when attempt to garbage collect an uninstantiated keyring
    (CVE-2015-7872)
  * KEYS: Don't permit request_key() to construct a new keyring

  [ Ben Hutchings ]
  * usbvision: fix overflow of interfaces array (CVE-2015-7833)
  * RDS: fix race condition when sending a message on unbound socket
    (CVE-2015-7990)
  * [x86] KVM: Intercept #AC to avoid guest->host denial-of-service
    (CVE-2015-5307)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 09 Nov 2015 12:25:06 +0000

linux (3.2.68-1+deb7u5) wheezy-security; urgency=medium

  * USB: whiteheat: fix potential null-deref at probe (CVE-2015-5257)
  * ipc/sem.c: fully initialize sem_array before making it visible
  * ipc: Initialize msg/shm IPC objects before doing ipc_addid()
    (CVE-2015-7613)
  * vfs: Fix possible escape from mount namespace or chroot (CVE-2015-2925):
    - dcache: Handle escaped paths in prepend_path
    - vfs: Test for and handle paths that are unreachable from their mnt_root

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 09 Oct 2015 23:24:39 +0100

linux (3.2.68-1+deb7u4~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze:
    - Use gcc-4.4 for all architectures
    - Disable building of udebs
    - Change ABI number to 0.bpo.4
    - Monkey-patch Python collections module to add OrderedDict if necessary
    - [armel] Disable CRYPTO_FIPS, VGA_ARB, FTRACE on iop32x and ixp4xx to
      reduce kernel size (as suggested by Arnaud Patard)
    - Use QUILT_PATCH_OPTS instead of missing quilt patch --fuzz option
    - Make build target depend on build-arch only, so we don't redundantly
      build documentation on each architecture

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 22 Sep 2015 15:58:05 +0200

linux (3.2.68-1+deb7u4) wheezy-security; urgency=medium

  * ipv6: addrconf: validate new MTU before applying it (CVE-2015-0272)
  * virtio-net: drop NETIF_F_FRAGLIST (CVE-2015-5156)
  * vhost: actually track log eventfd file (CVE-2015-6252)
  * RDS: verify the underlying transport exists before creating a connection
    (CVE-2015-6937)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 19 Sep 2015 13:22:14 +0200

linux (3.2.68-1+deb7u3~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze:
    - Use gcc-4.4 for all architectures
    - Disable building of udebs
    - Change ABI number to 0.bpo.4
    - Monkey-patch Python collections module to add OrderedDict if necessary
    - [armel] Disable CRYPTO_FIPS, VGA_ARB, FTRACE on iop32x and ixp4xx to
      reduce kernel size (as suggested by Arnaud Patard)
    - Use QUILT_PATCH_OPTS instead of missing quilt patch --fuzz option
    - Make build target depend on build-arch only, so we don't redundantly
      build documentation on each architecture

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 08 Aug 2015 20:16:12 +0200

linux (3.2.68-1+deb7u3) wheezy-security; urgency=medium

  * udp: fix behavior of wrong checksums (CVE-2015-5364, CVE-2015-5366)
  * sctp: fix ASCONF list handling (CVE-2015-3212)
  * [x86] bpf_jit: fix compilation of large bpf programs (CVE-2015-4700)
  * sg_start_req(): make sure that there's not too many elements in iovec
    (CVE-2015-5707)
  * md: use kzalloc() when bitmap is disabled (CVE-2015-5697)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 04 Aug 2015 02:41:28 +0100

linux (3.2.68-1+deb7u2~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze:
    - Use gcc-4.4 for all architectures
    - Disable building of udebs
    - Change ABI number to 0.bpo.4
    - Monkey-patch Python collections module to add OrderedDict if necessary
    - [armel] Disable CRYPTO_FIPS, VGA_ARB, FTRACE on iop32x and ixp4xx to
      reduce kernel size (as suggested by Arnaud Patard)
    - Use QUILT_PATCH_OPTS instead of missing quilt patch --fuzz option
    - Make build target depend on build-arch only, so we don't redundantly
      build documentation on each architecture

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 17 Jun 2015 00:35:41 +0100

linux (3.2.68-1+deb7u2) wheezy-security; urgency=high

  * pipe: iovec: Fix memory corruption when retrying atomic copy as non-atomic
    (CVE-2015-1805)
  * udf: Remove repeated loads blocksize
  * udf: Check length of extended attributes and allocation descriptors
    (CVE-2015-4167)
  * ipv4: Missing sk_nulls_node_init() in ping_unhash(). (CVE-2015-3636)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 15 Jun 2015 09:52:46 +0100

linux (3.2.68-1+deb7u1~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze:
    - Use gcc-4.4 for all architectures
    - Disable building of udebs
    - Change ABI number to 0.bpo.4
    - Monkey-patch Python collections module to add OrderedDict if necessary
    - [armel] Disable CRYPTO_FIPS, VGA_ARB, FTRACE on iop32x and ixp4xx to
      reduce kernel size (as suggested by Arnaud Patard)
    - Use QUILT_PATCH_OPTS instead of missing quilt patch --fuzz option
    - Make build target depend on build-arch only, so we don't redundantly
      build documentation on each architecture

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 27 Apr 2015 18:07:48 +0100

linux (3.2.68-1+deb7u1) wheezy-security; urgency=high



=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.2
Build-Depends: debhelper (>> 7), cpio, kmod | module-init-tools, python (>= 2.6.6-3~), lzma [armel], quilt, patchutils, gcc-4.4 [alpha amd64 armel armhf hppa i386 ia64 mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64], binutils-hppa64 [hppa], gcc-4.4-hppa64 [hppa], gcc-4.6 [m68k]
Build-Depends-Indep: bzip2, xmlto
Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/trunk/linux/
Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux/

Package: linux-source-3.2
Architecture: all
Section: kernel
Provides: linux-source
Depends: binutils, bzip2, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.2 with Debian patches
 This package provides source code for the Linux kernel version 3.2. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-doc-3.2
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.2
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.2.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.2/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-manual-3.2
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.2
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-support-3.2.0-0.bpo.4
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}
Description: Support files for Linux 3.2
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-libc-dev
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-headers-3.2.0-0.bpo.4-all
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Depends: linux-headers-3.2.0-0.bpo.4-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.2.0-0.bpo.4-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-3.2.0-0.bpo.4-alpha-generic (= ${binary:Version}), linux-headers-3.2.0-0.bpo.4-alpha-smp (= ${binary:Version}), linux-headers-3.2.0-0.bpo.4-alpha-legacy (= ${binary:Version})
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.2.0-0.bpo.4-common
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Depends: ${misc:Depends}
Description: Common header files for Linux 3.2.0-0.bpo.4
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 3.2.0-0.bpo.4, generally used for building
 out-of-tree kernel modules.  To obtain a complete set of headers you also
 need to install the linux-headers-3.2.0-0.bpo.4-(flavour) package,
 matching the flavour of the kernel you intend the build for.

Package: linux-image-3.2.0-0.bpo.4-alpha-generic
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-0.bpo.4-alpha-generic
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha
 The Linux kernel 3.2 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.2.0-0.bpo.4-alpha-generic
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-0.bpo.4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.4
Description: Header files for Linux 3.2.0-0.bpo.4-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-0.bpo.4-alpha-generic, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-0.bpo.4-alpha-generic, and can be used for
 building modules that load into the kernel provided by the
 linux-image-3.2.0-0.bpo.4-alpha-generic package.

Package: linux-image-3.2.0-0.bpo.4-alpha-smp
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-0.bpo.4-alpha-smp
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha SMP
 The Linux kernel 3.2 and modules for use on DEC Alpha SMP systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.2.0-0.bpo.4-alpha-smp
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-0.bpo.4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.4
Description: Header files for Linux 3.2.0-0.bpo.4-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-0.bpo.4-alpha-smp, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-0.bpo.4-alpha-smp, and can be used for
 building modules that load into the kernel provided by the
 linux-image-3.2.0-0.bpo.4-alpha-smp package.

Package: linux-image-3.2.0-0.bpo.4-alpha-legacy
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-0.bpo.4-alpha-legacy
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha Legacy
 The Linux kernel 3.2 and modules for use on DEC Alpha systems with legacy
 kernel start address.

Package: linux-headers-3.2.0-0.bpo.4-alpha-legacy
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-0.bpo.4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.4
Description: Header files for Linux 3.2.0-0.bpo.4-alpha-legacy
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-0.bpo.4-alpha-legacy, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-0.bpo.4-alpha-legacy, and can be used for
 building modules that load into the kernel provided by the
 linux-image-3.2.0-0.bpo.4-alpha-legacy package.

Package: linux-headers-3.2.0-0.bpo.4-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-3.2.0-0.bpo.4-amd64 (= ${binary:Version}), linux-headers-3.2.0-0.bpo.4-rt-amd64 (= ${binary:Version})
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-image-3.2.0-0.bpo.4-amd64
Architecture: amd64 i386
Provides: linux-image, linux-modules-3.2.0-0.bpo.4-amd64
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [amd64 i386] | linux-initramfs-tool [amd64 i386]
Recommends: firmware-linux-free (>= 3~), libc6-i686 [i386]
Suggests: linux-doc-3.2, debian-kernel-handbook, grub-pc [amd64 i386] | extlinux [amd64 i386] | lilo [amd64 i386]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for 64-bit PCs
 The Linux kernel 3.2 and modules for use on PCs with AMD64, Intel 64 or
 VIA Nano processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.

Package: linux-headers-3.2.0-0.bpo.4-amd64
Architecture: amd64 i386
Provides: linux-headers
Depends: linux-headers-3.2.0-0.bpo.4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.4
Description: Header files for Linux 3.2.0-0.bpo.4-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-0.bpo.4-amd64, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-0.bpo.4-amd64, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.2.0-0.bpo.4-amd64 package.

Package: linux-image-3.2.0-0.bpo.4-amd64-dbg
Architecture: amd64
Section: debug
Priority: extra
Depends: linux-image-3.2.0-0.bpo.4-amd64, ${misc:Depends}
Description: Debugging symbols for Linux 3.2.0-0.bpo.4-amd64
 This package provides the detached debugging symbols for the Linux kernel
 and modules in linux-image-3.2.0-0.bpo.4-amd64.

Package: xen-linux-system-3.2.0-0.bpo.4-amd64
Architecture: amd64 i386
Depends: linux-image-3.2.0-0.bpo.4-amd64 (= ${binary:Version}), ${misc:Depends}, xen-system-amd64
Description: Xen system with Linux 3.2 on 64-bit PCs (meta-package)
 This package depends on the binary Linux image and hypervisors.

Package: linux-headers-3.2.0-0.bpo.4-common-rt
Architecture: amd64 i386
Depends: ${misc:Depends}
Description: Common header files for Linux 3.2.0-0.bpo.4-rt
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 3.2.0-0.bpo.4-rt, generally used for building
 out-of-tree kernel modules.  To obtain a complete set of headers you also
 need to install the linux-headers-3.2.0-0.bpo.4-(flavour) package,
 matching the flavour of the kernel you intend the build for.

Package: linux-image-3.2.0-0.bpo.4-rt-amd64

=== debian/rules ===
#!/usr/bin/make -f

SHELL    := sh -e
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
SOURCE := $(shell dpkg-parsechangelog | sed -ne 's,^Source: *\(.*\)$$,\1,p')
VERSION := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
VERSION_UPSTREAM := $(shell echo "$(VERSION)" | sed -e 's,-[^-]*$$,,')
VERSION_BINNMU := $(shell echo "$(VERSION)" | sed -ne 's,.*+b\(.*\)$$,\1,p')

include debian/rules.defs

stamp = [ -d $(dir $@) ] || mkdir $(dir $@); touch $@

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  DEBIAN_KERNEL_JOBS := $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
ifdef DEBIAN_KERNEL_JOBS
  MAKEFLAGS += -j$(DEBIAN_KERNEL_JOBS)
endif

.NOTPARALLEL:

source: debian/control $(STAMPS_DIR)/source-base
$(STAMPS_DIR)/source-base:
	dh_testdir
	$(MAKE) -f debian/rules.gen source
	@$(stamp)

setup: debian/control $(STAMPS_DIR)/setup-base
$(STAMPS_DIR)/setup-base: $(STAMPS_DIR)/source-base
	dh_testdir
	$(MAKE) -f debian/rules.gen setup_$(DEB_HOST_ARCH)
	@$(stamp)

#build: build-arch build-indep
build: build-arch

build-arch: debian/control $(STAMPS_DIR)/build-arch-base
$(STAMPS_DIR)/build-arch-base: $(STAMPS_DIR)/setup-base
	dh_testdir
	$(MAKE) -f debian/rules.gen build-arch_$(DEB_HOST_ARCH)
	@$(stamp)

build-indep: debian/control $(STAMPS_DIR)/build-indep-base
$(STAMPS_DIR)/build-indep-base: $(STAMPS_DIR)/setup-base
	dh_testdir
	$(MAKE) -f debian/rules.gen build-indep
	@$(stamp)

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION_UPSTREAM)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION_UPSTREAM).orig.tar.xz
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete --exclude /debian --exclude .svk --exclude .svn --exclude .git --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .
	QUILT_PATCHES='$(CURDIR)/debian/patches' QUILT_PATCH_OPTS='--fuzz=0' QUILT_PC=.pc quilt push --quiltrc - -a -q

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xaf $(TAR_ORIG)
endif

maintainerclean:
	rm -f debian/config.defines.dump debian/control debian/control.md5sum debian/rules.gen
	rm -rf $(filter-out debian .svk .svn .git, $(wildcard * .[^.]*))

clean: debian/control
	dh_testdir
	rm -rf $(BUILD_DIR) $(STAMPS_DIR) debian/lib/python/debian_linux/*.pyc debian/linux-headers-* debian/linux-image-* debian/linux-support-* debian/linux-source-* debian/linux-doc-* debian/linux-manual-* debian/xen-linux-system-* debian/*-modules-*-di*
	dh_clean

binary-indep: $(STAMPS_DIR)/build-indep-base
	dh_testdir
	$(MAKE) -f debian/rules.gen binary-indep

binary-arch: $(STAMPS_DIR)/build-arch-base
	dh_testdir
	$(MAKE) -f debian/rules.gen binary-arch_$(DEB_HOST_ARCH)

binary:	binary-indep binary-arch

CONTROL_FILES = debian/changelog $(wildcard debian/templates/*.in)
CONTROL_FILES += debian/config/defines $(wildcard debian/config/*/defines) $(wildcard debian/config/*/*/defines)
CONTROL_FILES += $(wildcard debian/installer/*/kernel-versions) $(wildcard debian/installer/*/package-list) debian/installer/package-list
debian/control debian/rules.gen: debian/bin/gencontrol.py $(CONTROL_FILES)
ifeq ($(wildcard debian/control.md5sum),)
	$(MAKE) -f debian/rules debian/control-real
else ifeq ($(VERSION_BINNMU),)
	md5sum --check debian/control.md5sum --status || \
		$(MAKE) -f debian/rules debian/control-real
else
	grep -v debian/changelog debian/control.md5sum | md5sum --check - --status || \
		$(MAKE) -f debian/rules debian/control-real
endif

debian/control-real: debian/bin/gencontrol.py $(CONTROL_FILES)
	chmod +x $<
	$<
	md5sum $^ > debian/control.md5sum
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the debian/control file has
	@echo been generated SUCCESSFULLY.
	@echo
	exit 1

.PHONY: clean build setup binary-indep binary-arch binary
